Get user information for user using userId
Retrieves the user information for the specified user. For example:
Authentication
OAuth 2.0 access token (JWT or auth-code grant). Sent as
Authorization: Bearer <token> on every request except
GET /v2.1 and GET /service_information, which are
public discovery endpoints.
Path parameters
The external account number (int) or account ID Guid.
The ID of the user to access.
Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user’s settings.
Query parameters
Response
The two-letter code for the user’s country.
The name/value pair information for the user custom setting.
The user’s email address.
This property cannot be updated via PUT requests.
The user’s first name. Maximum Length: 50 characters.
A complex element that has up to four Question/Answer pairs for forgotten password information.
A list of the group information for groups to add the user to. Use UserGroups: listGroups to get information about groups.
When setting a user’s group, only the groupId is required.
When true, the user is an administrator.
When true, the user is an alternate administrator. This user is not an administrator but will be set as such if all administrator memberships are closed.
When true, National Association of Realtors (NAR) signature logos are enabled for the user.
The user’s last name. Maximum Length: 50 characters.
The user’s assigned license type. Only available for IAM plans. Must be one of the following values:
Full - Enterprise: Full license type available for customers who purchase the IAM Enterprise plan; includes access to sending envelopes, Agreement Manager, and Workflow Builder.Full - Professional: Full license type available for customers who purchase the IAM Professional plan; includes access to sending envelopes, Agreement Manager, and Workflow Builder.Full - Standard: Full license type available for customers who purchase the IAM Standard plan; includes access to sending envelopes, Agreement Manager, and Workflow Builder.Full - Sales: Full license type available for customers who purchase the IAM Sales plan; includes access to sending envelopes, Agreement Manager, and Workflow Builder.Full - CX: Full license type available for customers who purchase the IAM Sales plan; includes access to sending envelopes and Workflow Builder.Free: Free license type available for all IAM customers; includes access to viewing the user’s own agreements and signing.
The user’s middle name. Limit: 50 characters.
The user’s password.
This property is used only when adding a new user via a Users: create request. The value must conform to the password rules defined in the account Security Settings.
This property is not returned by GET requests and cannot be updated via PUT requests.
If password expiration is enabled, the date-time when the user’s password expires.
The ID of the permission profile.
Use AccountPermissionProfiles: list to get a list of permission profiles and their IDs.
You can also download a CSV file of all permission profiles and their IDs from the Settings > Permission Profiles page of your eSignature account page.
The name of the account permission profile.
Example: Account Administrator
This field is no longer supported for most accounts. To create an eSignature user without sending an activation email, use the Admin API by following these steps.
You can also use this field to resend the activation email to a user who is not yet active by setting this field to the "send".
When true, specifies that an additional activation email be sent if user’s log on fails before the account is activated.
The suffix for the user’s name, such as Jr, IV, PhD, etc.
Limit: 50 characters.
The ID of the user to access.
Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user’s settings.
Properties that configure the settings for a user. Some elements of this object have a metadata property, which includes the following:
rights: The calling users permissions to edit this setting (can beeditableorread_only)uiHint: Internally used to build UIs (can beavailableorhidden)options: The values supported for this setting (not all settings have this element)
Status of the user’s account. One of:
ActivationRequiredActivationSentActiveClosedDisabled
The type of user, for example CompanyUser.